/*
 * uselib.c
 *
 * Copyright (C) 1993 Alain Knaff
 */
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <string.h>
#include "zlibc.h"
#include <syscall.h>

#ifdef NEED_PROTOTYPES
int uselib(__const char *file_name)
#else
int uselib(file_name)
char *file_name;
#endif
{
  fprintf(stderr,"Using library %s\n", file_name);
  return syscall(SYS_uselib,file_name);
}

